Gaming a little help going from 5.00 m33 to 5.5 gen -d

mrwienerdog

Well-Known Member
OP
Member
Joined
Nov 1, 2007
Messages
155
Trophies
0
Age
51
XP
271
Country
Canada
Hi
I'm about to finally make the leap to gen d. Would like to play the new GOW, and don't even know if I can play it on m33. Guessing not. Anyways, I have 5.5 gend3 final sitting on my desktop, as well as 5.5 prometheus. Question is, can I go straight from the m33, or are there some intermittent steps? Could some of you fine folks give me a link or two so I can get this show on the road? I've looked around a bit, but not sure where to start. In the past, you guys have always been good enough to eliminate the guess work, which I appreciate.

Thanks in advance.
 

prowler

Sony
Member
Joined
Jul 14, 2009
Messages
9,475
Trophies
0
Location
Ragol
XP
3,294
Country
Zimbabwe
prowler_ said:
(This is optional but recommended if you don't want to patch your ISO's)
- (Fully hackable) 100X/200X -
- PC -
1. Download XGEN GEN D3 Updater. Place UPDATE in PSP/GAME and 550.PBP on the root of your memory stick
2. Download Prometheus-2 5.50 GEN-D Addon and place the Prometheus folder in PSP/GAME

- PSP -
1. Run and update to GEN D3 (Be careful what you press on, there is also an option that upgrades to OFW 5.50 and we don't want that!)
2. Run and update to Prometheus-2 and you're done!

- (Semi hackable) 200X/300X -

- PC -

1. Download Prometheus-2 5.03 GEN-C Addon. Place the Prometheus folder in PSP/GAME

- PSP -

1. Run and update to Prometheus and you're done!
http://gbatemp.net/t205696-how-to-softmod-your-psp-v2
 

xist

ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ
Member
Joined
Jul 14, 2008
Messages
5,859
Trophies
0
XP
973
Country
You can play it just fine....use ISO Tool to Decrypt then Patch with Prometheus and you're fine. Approximately 2 or 3 button presses and a couple of minutes work.
 

mrwienerdog

Well-Known Member
OP
Member
Joined
Nov 1, 2007
Messages
155
Trophies
0
Age
51
XP
271
Country
Canada
So do you figure I should even bother upgrading to 5.5 gend3? I know in the past everyone has always said that it is just a matter of opinion, but you guys have a better opinion than I when it comes to this. And xist, I trust your opinion alot, you've helped me out a number of times before....
 

xist

ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ
Member
Joined
Jul 14, 2008
Messages
5,859
Trophies
0
XP
973
Country
If you're on GEN D3 you'll still need to patch your games....you'd need to go to the latest Prometheus to get the auto patching for the latest games.

It all depends what you want...if you'll just be playing PSP games, and want the least hassle option then go to Prometheus, but bear in mind that some much older games are incompatible with GEN and Prometheus firmwares (they're rare but they exist.....there's a topic on a9vg about the reasons why but that'll be fixed in the next Prometheus. Also various other random things work better on M33.

If you're happy either getting pre-prometheus fixed games or patching yourself, and like i say it's not hard, then you're not really gaining anything at all by updating, merely losing a few features.

All you'd need is the latest ISO Tool and the files in the 631 Prometheus release and you're set.
 

mrwienerdog

Well-Known Member
OP
Member
Joined
Nov 1, 2007
Messages
155
Trophies
0
Age
51
XP
271
Country
Canada
Really appreciate the feedback, and thanks to the poster that gave me the link. Decided to go ahead and install the gend and prometheus, for a couple of reasons (I'm old and lazy, and don't have a ton of time to fuck around with stuff, and I enjoy putting new f/w on things). One more question that has nothing to do with this topic, but is Kingdom Hearts playable with my current setup (gend and prometheus)? Or do I have to dick around a bit to get it to go?

Thanks to Prowler, that was the posters name.
 

xist

ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ
Member
Joined
Jul 14, 2008
Messages
5,859
Trophies
0
XP
973
Country
You're not going to GEN-D3, you'd be going to Prometheus-2. And yes, Birth by Sleep works fine.

Every one of the latest releases can be played on 5.00M33-6, 5.50 GEN D3 or 5.50 Prometheus-2 so ultimately you're just picking a firmware based upon how interested you are in PSP homebrew and how much you like to know how things work and doing it for yourself, rather than being reliant on someone else.
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    KenniesNewName @ KenniesNewName: Years gone by so quick